Package com.arms.api.jira.jiraserver_pure.controller

## Class JiraServerPureController

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController<JiraServerPure,​JiraServerPureDTO,​JiraServerPureEntity>
  - - com.arms.api.jira.jiraserver_pure.controller.JiraServerPureController

-     @Controller
      @RequestMapping("/arms/jiraServerPure")
      public class JiraServerPureController
      extends TreeAbstractController<JiraServerPure,​JiraServerPureDTO,​JiraServerPureEntity>

- - ### Field Summary

    - ### Fields inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `chat, modelMapper`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JiraServerPureController()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.springframework.http.ResponseEntity<java.util.List<JiraServerPureEntity>>` | `getJiraServerMonitor​(JiraServerDTO jiraServerDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `org.springframework.http.ResponseEntity<JiraServerPureEntity>` | `getNodeWithDecryption​(JiraServerPureDTO jiraServerPureDTO)` |
    `org.springframework.http.ResponseEntity<JiraServerPureEntity>` | `getNodeWithoutPW​(JiraServerPureDTO jiraServerPureDTO)` |
    `org.springframework.http.ResponseEntity<java.util.Map<java.lang.String,​java.lang.String>>` | `getServerTypeMap​(JiraServerDTO jiraServerDTO, org.springframework.ui.ModelMap model, javax.servlet.http.HttpServletRequest request)` |
    `void` | `initialize()` |
    `org.springframework.http.ResponseEntity<java.lang.String>` | `makeEncryption​(java.lang.String str)` |
    `org.springframework.http.ResponseEntity<?>` | `verifyALMAccount​(VerifyALMAccountDTO accountDTO)` |
    `org.springframework.http.ResponseEntity<?>` | `verifyNewALMAccount​(VerifyALMAccountDTO accountDTO)` |

    - ### Methods inherited from class com.arms.egovframework.javaservice.treeframework.controller.TreeAbstractController

      `addNode, alterNode, alterNodeType, analyzeNode, getChildNode, getMonitor, getNode, getNodesWithoutRoot, getPaginatedChildNode, moveNode, removeNode, searchNode, sendMessage, setJsonDefaultSetting, setTreeEntity, setTreeService, updateNode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JiraServerPureController

          public JiraServerPureController()

  - ### Method Detail

    - #### initialize

          @PostConstruct
          public void initialize()

    - #### getNodeWithoutPW

          @ResponseBody
          @RequestMapping(value="/getNodeExceptPW.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<JiraServerPureEntity> getNodeWithoutPW​(JiraServerPureDTO jiraServerPureDTO)
                                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### verifyALMAccount

          @ResponseBody
          @PostMapping("/verifyAccount.do")
          public org.springframework.http.ResponseEntity<?> verifyALMAccount​(@RequestBody
                                                                             VerifyALMAccountDTO accountDTO)

    - #### verifyNewALMAccount

          @ResponseBody
          @PostMapping("/verifyNewAccount.do")
          public org.springframework.http.ResponseEntity<?> verifyNewALMAccount​(@RequestBody
                                                                                VerifyALMAccountDTO accountDTO)

    - #### getNodeWithDecryption

          @ResponseBody
          @RequestMapping(value="/getNodeWithDecryption.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<JiraServerPureEntity> getNodeWithDecryption​(JiraServerPureDTO jiraServerPureDTO)
                                                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getJiraServerMonitor

          @ResponseBody
          @GetMapping("/getJiraServerMonitor.do")
          public org.springframework.http.ResponseEntity<java.util.List<JiraServerPureEntity>> getJiraServerMonitor​(JiraServerDTO jiraServerDTO,
                                                                                                                    org.springframework.ui.ModelMap model,
                                                                                                                    javax.servlet.http.HttpServletRequest request)
                                                                                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getServerTypeMap

          @ResponseBody
          @RequestMapping(value="/serverTypeMap.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<java.util.Map<java.lang.String,​java.lang.String>> getServerTypeMap​(JiraServerDTO jiraServerDTO,
                                                                                                                                  org.springframework.ui.ModelMap model,
                                                                                                                                  javax.servlet.http.HttpServletRequest request)
                                                                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### makeEncryption

          @ResponseBody
          @RequestMapping(value="/makeEncryption.do",
                          method=GET)
          public org.springframework.http.ResponseEntity<java.lang.String> makeEncryption​(java.lang.String str)
                                                                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`